package com.kingdee.eas.custom.notify;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class RemoveContextFactory
{
    private RemoveContextFactory()
    {
    }
    public static com.kingdee.eas.custom.notify.IRemoveContext getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.notify.IRemoveContext)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("08AB07F1") ,com.kingdee.eas.custom.notify.IRemoveContext.class);
    }
    
    public static com.kingdee.eas.custom.notify.IRemoveContext getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.notify.IRemoveContext)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("08AB07F1") ,com.kingdee.eas.custom.notify.IRemoveContext.class, objectCtx);
    }
    public static com.kingdee.eas.custom.notify.IRemoveContext getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.notify.IRemoveContext)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("08AB07F1"));
    }
    public static com.kingdee.eas.custom.notify.IRemoveContext getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.notify.IRemoveContext)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("08AB07F1"));
    }
}